<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA Driver Internal Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">HWA Driver Internal Functions</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the internal functions used by the driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga66b75c8920858c165b20d21482c50a9a"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga66b75c8920858c165b20d21482c50a9a">HWA_getDriverAccess</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *ptrHWADriver, bool checkConfigProgress, bool checkParamProgress, uint32_t paramsetIdx)</td></tr>
<tr class="memdesc:ga66b75c8920858c165b20d21482c50a9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to validate the state of the driver and gain access.  <a href="#ga66b75c8920858c165b20d21482c50a9a">More...</a><br /></td></tr>
<tr class="separator:ga66b75c8920858c165b20d21482c50a9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad9da52292a698e53b72942ce672949fb"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad9da52292a698e53b72942ce672949fb">HWA_releaseDriverAccess</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *ptrHWADriver, bool configProgress, bool paramProgress, uint32_t paramsetIdx)</td></tr>
<tr class="memdesc:gad9da52292a698e53b72942ce672949fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to release access to the driver.  <a href="#gad9da52292a698e53b72942ce672949fb">More...</a><br /></td></tr>
<tr class="separator:gad9da52292a698e53b72942ce672949fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2902b4afed3ee8230e8946251d684a16"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2902b4afed3ee8230e8946251d684a16">HWA_validateParamSetConfig</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *ptrHWADriver, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">HWA_ParamConfig</a> *paramConfig)</td></tr>
<tr class="memdesc:ga2902b4afed3ee8230e8946251d684a16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to validate the user passed paramConfig. This function gets compiled out if HWA_PARAM_CHECK is disabled.  <a href="#ga2902b4afed3ee8230e8946251d684a16">More...</a><br /></td></tr>
<tr class="separator:ga2902b4afed3ee8230e8946251d684a16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55d810e8f646c8b72b0385d9117e3a02"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga55d810e8f646c8b72b0385d9117e3a02">HWA_deleteInstance</a> (<a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *ptrHWADriver)</td></tr>
<tr class="memdesc:ga55d810e8f646c8b72b0385d9117e3a02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to de-initialize HWA specified by the passed driver object. No driver functions should be invoked after this call.  <a href="#ga55d810e8f646c8b72b0385d9117e3a02">More...</a><br /></td></tr>
<tr class="separator:ga55d810e8f646c8b72b0385d9117e3a02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa21926f6ecfd67d531d12b871bd8ca16"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa21926f6ecfd67d531d12b871bd8ca16">HWA_paramDoneISR</a> (uintptr_t arg)</td></tr>
<tr class="memdesc:gaa21926f6ecfd67d531d12b871bd8ca16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to handle each paramset completion ISR.  <a href="#gaa21926f6ecfd67d531d12b871bd8ca16">More...</a><br /></td></tr>
<tr class="separator:gaa21926f6ecfd67d531d12b871bd8ca16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1fc121655e0a67871c473caa01ecf03d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1fc121655e0a67871c473caa01ecf03d">HWA_allParamDoneISR</a> (uintptr_t arg)</td></tr>
<tr class="memdesc:ga1fc121655e0a67871c473caa01ecf03d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to handle completion ISR after all paramset are executed.  <a href="#ga1fc121655e0a67871c473caa01ecf03d">More...</a><br /></td></tr>
<tr class="separator:ga1fc121655e0a67871c473caa01ecf03d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3869a50b4d3c4e7b1d389c18a453d126"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3869a50b4d3c4e7b1d389c18a453d126">HWA_doReset</a> (<a class="el" href="reg__dsshwacc_8h.html#ae2191e9a4eac24e7e1fe29f3f5423bce">DSSHWACCRegs</a> *ctrlBaseAddr)</td></tr>
<tr class="memdesc:ga3869a50b4d3c4e7b1d389c18a453d126"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function to perform the hardware reset of HWA peripheral.  <a href="#ga3869a50b4d3c4e7b1d389c18a453d126">More...</a><br /></td></tr>
<tr class="separator:ga3869a50b4d3c4e7b1d389c18a453d126"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the internal functions used by the driver. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga1fc121655e0a67871c473caa01ecf03d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void HWA_allParamDoneISR </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to handle completion ISR after all paramset are executed. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">arg</td><td>Internal HWA driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0d2448361c55c220c5bc458ebb01f974" title="Function to enable the CPU interrupt after all programmed paramSets have been completed. ">HWA_enableDoneInterrupt()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga55d810e8f646c8b72b0385d9117e3a02"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void HWA_deleteInstance </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *&#160;</td>
          <td class="paramname"><em>ptrHWADriver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to de-initialize HWA specified by the passed driver object. No driver functions should be invoked after this call. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptrHWADriver</td><td>Internal HWA driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga23be11112ef15989f9022b4494efc015" title="Function to close a HWA peripheral specified by the HWA handle. ">HWA_close()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga3869a50b4d3c4e7b1d389c18a453d126"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void HWA_doReset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="reg__dsshwacc_8h.html#ae2191e9a4eac24e7e1fe29f3f5423bce">DSSHWACCRegs</a> *&#160;</td>
          <td class="paramname"><em>ctrlBaseAddr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to perform the hardware reset of HWA peripheral. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ctrlBaseAddr</td><td>HWA peripheral's control base address</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga23be11112ef15989f9022b4494efc015" title="Function to close a HWA peripheral specified by the HWA handle. ">HWA_close()</a>, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a>, <a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gabcaaee7072b16138ea690a3cd3ded547" title="Function to reset the internal state machine of the HWA. ">HWA_reset()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga66b75c8920858c165b20d21482c50a9a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t HWA_getDriverAccess </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *&#160;</td>
          <td class="paramname"><em>ptrHWADriver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkConfigProgress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkParamProgress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramsetIdx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to validate the state of the driver and gain access. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptrHWADriver</td><td>Internal HWA driver object that will be checked for sanity</td></tr>
    <tr><td class="paramname">checkConfigProgress</td><td>flag to indicate whether to check driver's configInProgress bit</td></tr>
    <tr><td class="paramname">checkParamProgress</td><td>flag to indicate whether to check driver's paramSetMapInProgress bitmap</td></tr>
    <tr><td class="paramname">paramsetIdx</td><td>should be valid if checkParamProgress is set to true.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if driver access is allowed; error code if access is denied. </dd></dl>

</div>
</div>
<a class="anchor" id="gaa21926f6ecfd67d531d12b871bd8ca16"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void HWA_paramDoneISR </td>
          <td>(</td>
          <td class="paramtype">uintptr_t&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to handle each paramset completion ISR. </p>
<dl class="section pre"><dt>Precondition</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga57e442a7ff91f9c30e518c43b4e9955a" title="Function to initialize HWA specified by the particular index value. ">HWA_open()</a> has been called</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">arg</td><td>Internal HWA driver object</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none</dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6a79cb84b4ff3f0d3cfe4053978cb6cb" title="Function to enable the CPU and/or DMA interrupt after a paramSet completion. ">HWA_enableParamSetInterrupt()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gad9da52292a698e53b72942ce672949fb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void HWA_releaseDriverAccess </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *&#160;</td>
          <td class="paramname"><em>ptrHWADriver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>configProgress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>paramProgress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>paramsetIdx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to release access to the driver. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptrHWADriver</td><td>Internal HWA driver object that will be checked for sanity</td></tr>
    <tr><td class="paramname">configProgress</td><td>flag to indicate whether to release driver's configInProgress bit</td></tr>
    <tr><td class="paramname">paramProgress</td><td>flag to indicate whether to release driver's paramSetMapInProgress bitmap</td></tr>
    <tr><td class="paramname">paramsetIdx</td><td>should be valid if paramProgress is set to true.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>none </dd></dl>

</div>
</div>
<a class="anchor" id="ga2902b4afed3ee8230e8946251d684a16"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int32_t HWA_validateParamSetConfig </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa315f4913c7ae5d9f5f68d3b0ed0d7ab">HWA_Driver</a> *&#160;</td>
          <td class="paramname"><em>ptrHWADriver</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga364635c260f23bdbcdaf16d9aa4ba7c2">HWA_ParamConfig</a> *&#160;</td>
          <td class="paramname"><em>paramConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Function to validate the user passed paramConfig. This function gets compiled out if HWA_PARAM_CHECK is disabled. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptrHWADriver</td><td>Internal HWA driver object that will be checked for sanity</td></tr>
    <tr><td class="paramname">paramConfig</td><td>user supplied paramSet Config</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if valid paramSet config if provided else a valid error code. </dd></dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
